SDL_HapticLeftRight Struct Reference

`#include <SDL_haptic.h>`

## Data Fields

Uint16 | type
Uint32 | length
Uint16 | large_magnitude
Uint16 | small_magnitude

## Detailed Description

A structure containing a template for a Left/Right effect.

This struct is exclusively for the SDL_HAPTIC_LEFTRIGHT effect.

The Left/Right effect is used to explicitly control the large and small motors, commonly found in modern game controllers. The small (right) motor is high frequency, and the large (left) motor is low frequency.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_HAPTIC_LEFTRIGHT
  SDL_HapticEffect

Definition at line 786 of file SDL_haptic.h.

## Field Documentation

## large_magnitude

Uint16 SDL_HapticLeftRight::large_magnitude

Control of the large controller motor.

Definition at line 795 of file SDL_haptic.h.

## length

Uint32 SDL_HapticLeftRight::length

Duration of the effect in milliseconds.

Definition at line 792 of file SDL_haptic.h.

## small_magnitude

Uint16 SDL_HapticLeftRight::small_magnitude

Control of the small controller motor.

Definition at line 796 of file SDL_haptic.h.

## type

Uint16 SDL_HapticLeftRight::type

SDL_HAPTIC_LEFTRIGHT

Definition at line 789 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- SDL_haptic.h